## polyline 1.4.0

=== Makefile ===
setup-base-dependencies:
	pip install --quiet --requirement=requirements/base.txt

setup-test-dependencies:
	pip install --quiet --requirement=requirements/test.txt

pep8-tests:
	flake8 --ignore=E128,E501 polyline

unit-tests:
	nosetests

reqs: setup-base-dependencies setup-test-dependencies

test: pep8-tests unit-tests

publish:
	pip install 'twine>=1.5.0'
	pip install wheel
	python setup.py sdist bdist_wheel --universal
	twine upload dist/*
	rm -fr build dist .egg requests.egg-info

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/polyline.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/polyline.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/polyline"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/polyline"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
polyline (1.4.0-2) unstable; urgency=medium

  * [5a67f56] disable crossbuilding in salsa-ci
  * [5793315] set DPT as maintainer, myself as uploader
  * source-only upload to migrate to testing.

 -- Joseph Nahmias <jello@debian.org>  Mon, 06 Dec 2021 08:05:58 -0500

polyline (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #998153)

 -- Joseph Nahmias <jello@debian.org>  Sat, 30 Oct 2021 23:49:18 -0400

=== debian/control ===
Source: polyline
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-nose <!nocheck>,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/frederickjansen/polyline
Vcs-Browser: https://salsa.debian.org/python-team/packages/polyline
Vcs-Git: https://salsa.debian.org/python-team/packages/polyline.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-polyline
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python library to encode/decode polylines
 Implements Google's encoded polyline algorithm format.
 Encodes from / decodes into [lat, lng] coordinate pairs.
 Can also encode a GeoJSON object to a GeoJSON LineString, and vice-versa.
 Based on / compatible with Google's mapbox.
 .
 See also: <https://developers.google.com/maps/documentation/utilities/polylinealgorithm>

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=polyline
export PYBUILD_VERBOSE=1

%:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-polyline,
 python3-nose,

## polyline 2.0.0

=== debian/changelog ===
polyline (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * [ca56de0] New upstream version 2.0.0
  * [4c64d4e] Fix privacy breach
  * [01bbc6f] Simplify d/rules
  * [2deb683] Update standards version to 4.6.2, no changes needed
  * [64594d2] Run cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Aug 2023 18:33:56 +0200

polyline (1.4.0-6) unstable; urgency=medium

  * [6ba5656] switch to autopkgtest-pkg-pybuild
  * [9e0046e] convert from nose to pytest (Closes: #1018439)
  * [7af1211] bump copyright year

 -- Joseph Nahmias <jello@debian.org>  Mon, 16 Jan 2023 23:15:07 -0500

polyline (1.4.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.4.0-4.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:34:27 +0100

polyline (1.4.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:51:16 +0100

polyline (1.4.0-3) unstable; urgency=medium

  * [88dfde3] drop autopkgtest-pkg-python
    we already run upstream's testsuite as autopkgtest
  * [c770cba] fix bug in autopkgtest so all py versions are actually tested

 -- Joseph Nahmias <jello@debian.org>  Fri, 20 May 2022 09:25:06 -0400

=== debian/control ===
Source: polyline
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-pytest <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               pybuild-plugin-pyproject,
               python3-pytest-cov
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/polyline
Vcs-Git: https://salsa.debian.org/python-team/packages/polyline.git
Homepage: https://github.com/frederickjansen/polyline
Rules-Requires-Root: no

Package: python3-polyline
Architecture: all
Depends: ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Python library to encode/decode polylines
 Implements Google's encoded polyline algorithm format. Encodes from /
 decodes into [lat, lng] coordinate pairs. Can also encode a GeoJSON
 object to a GeoJSON LineString, and vice-versa. Based on / compatible
 with Google's mapbox.
 .
 See also: <https://developers.google.com/maps/documentation/utilities/p-
 olylinealgorithm>

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%polyline-$1.tar.gz%" \
   https://github.com/frederickjansen/polyline/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## polyline 2.0.2

=== debian/changelog ===
polyline (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * Add debian/gbp.conf
  * New upstream version 2.0.2
  * Patch-out usage of python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 14:34:48 +0200

polyline (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-toml (Closes: #1106437)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 25 May 2025 00:50:55 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                python3-sphinx-rtd-theme <!nodoc>,
                pybuild-plugin-pyproject,
                python3-pytest-cov
-Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/polyline
 Vcs-Git: https://salsa.debian.org/python-team/packages/polyline.git
 Homepage: https://github.com/frederickjansen/polyline
@@ -20,6 +21,7 @@
 
 Package: python3-polyline
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends},
          ${sphinxdoc:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,8 @@
 	dh $@ --with python3 --buildsystem=pybuild
 endif
 
+execute_after_dh_auto_build:
+	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
 
-override_dh_auto_build: export http_proxy=127.0.0.1:9
-override_dh_auto_build: export https_proxy=127.0.0.1:9
-override_dh_auto_build:
-	dh_auto_build
-	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
+execute_after_dh_auto_install:
+	find $(CURDIR)/debian/python3-polyline -name '.coverage' -print0 | xargs -0 rm -f
